$SpawnItemRestriction_allowedStatus = 0;

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
    if(!$RTB::RTBR_ServerControl_Hook)
	exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");

    RTB_registerPref("Item Spawning", "Admin Controls", "$SpawnItemRestriction_allowedStatus","list Everyone 0 Admin 1 SuperAdmin 2 Host 3","Server_RestrictedItems", 0, 0, 1);
}

else
    $SpawnItemRestriction_allowedStatus = 1;

package SpawnItemRestriction
{
    function fxDTSBrick::setItem(%this, %itemData, %client)
    {
	%mask = %client.isSuperAdmin + %client.isAdmin;
	if(findLocalClient() == %client || %client.bl_id == getNumKeyID() || !%client)
	    %mask = 3;

	%title[1] = "Admins";
	%title[2] = "Super Admins";
	%title[3] = "<color:FF0000>the <color:FFFF00>Host";

	if(%mask >= $SpawnItemRestriction_allowedStatus)
	    parent::setItem(%this, %itemData, %client);

	else
	    commandToClient(%client, 'centerPrint', "Only "@ %title[%mask] @"<color:FF0000> may spawn items", 3);
    }

};

activatePackage(SpawnItemRestriction);